package com.ucar.vehiclesdk;

import com.share.connect.WifiOwnerConfig;
import com.ucar.vehiclesdk.UCarCommon;

public interface ICarConnectListener {
    void onConnectStateChanged(String str, int i, int i2);

    void onConnectingProgress(String str, int i);

    void onPinCode(String str, String str2);

    default void onReconfigureWifiInfo(WifiOwnerConfig wifiOwnerConfig) {
    }

    default void onRethinkBluetoothConnect(boolean z) {
    }

    UCarCommon.WorkMode onSelectWorkMode(String str, UCarCommon.WorkMode workMode);
}
